

Current Challenge

So, I'm currently in need of a new world/setting, so I figured I'd post some of my thoughts here to see if anyone wanted to contribute their thoughts.

First, I need to rework the titular abyss into something new - when I was young, I read the Rowan of Rin series, which featured a sacred mountain with a village at the base. I'm kind of leaning towards a "sacred mountain" setting, where I can draw on elements of both the Abyss' structure and Rowan's mountain story.

The abyss is divided into 7 layers (that we know of, the story is ongoing) - each with extremely unique terrain, stretching about 20km into the earth. The sacred mountain should also reflect this "layer"-like structure, with different areas having different challenges, although since Mt. Everest is only about 8,850m high, I might not have as much vertical space to work with...

You also can't talk about the abyss without mentioning the curse - essentially, every layer of the abyss is associated with some kind of negative effect. When descending, nothing happens, but when you try to climb out, you're struck by anything from mild nausea and headaches, too bleeding from every orifice to being turned into a half-sentient lump of flesh, depending on how deep you are. I should do some research into altitude sickness, but that's less curse-like and more just a lack of oxygen. Not sure how I should work with this - any advice is appreciated.

Finally, the very reason you'd want to enter such a dangerous location in the first place - the artifacts. In the abyss, orphaned children of delvers are trained to be delvers themselves, to go down and retrieve valuable items from ancient civilizations. Most items are harmless but pricey (sun stones can give off light, for example), while some are capable of tipping the balance of power between nations (The Unheard Bell, for instance, can stop time).

The sacred mountain will have a similar setup, at least right now - retrieving valuable items buried around ancient ruins seems like a good starting point, and also leads to the possibility of deeper mysteries buried within the ruins themselves.

Myths and legends would surround the mountain as well, especially since the top of the mountain is always shrouded by clouds. I can draw on ancient Greece for inspiration here, among other places... I seem to recall Mt. Olympus once being the throne of the titans before they were defeated by the gods? I have no clue where that comes from though.

General Goals

The overall goal is to make a great game. Having a great setting is just a part of that. I derived the characters' base stats from the setting, which is why I'm basically copying the silhouette of the original:

* Health
* Stamina
* Humanity
* Obsession

Health and stamina are straight forward, while humanity is supposed to be the resistance to/sapped by the curse, and obsession is supposed to help with activating and using more powerful artifacts. The mountain will need great sheer cliffs, deep ravines, cave networks (both natural and man-made), and flora/fauna which are not at all welcoming to intruders.

Sorry this isn't more fleshed out, honestly this is my first stab at defining the mountain itself. It's also like 1:30am, so I need to get to sleep. Feedback welcome, and thanks for reading!




7th region - Zennith
6th region - Frigid Plateau
5th region - Kingdom of Failures
4th region - Mycelium Jungles
3rd region - Gambler's Bluff
2nd region - Dotted Caves
1st region - Foothills and Forests